API Reference
Update customer SAR in batch
/v2/customer_sar https://api.cable.tech Authentication
- Bearer token in the Authorization header
customer_sar:write
Request body
An array of customer SAR payloads. Each payload must include the ‘sar_id’ to identify the customer suspicious activity report and can include any other fields that need to be updated. The ‘timestamp’ field should represent the time of update.
-
sar_idstring requiredUnique identifier for a suspicious activity report belonging to a customer suspicious activity report. This is the primary key for a customer suspicious activity report and should be unique across all customer suspicious activity reports. Updates to a customer suspicious activity report should be made using this identifier.
-
timestampstring requiredWhen this SAR was filed or updated in your system, in ISO 8601 format.
Format
date-time -
statusstring requiredThe status of the Suspicious Activity Report (SAR). FILED means that it has been officially filed with the appropriate regulatory agency. PENDING means that it is in the process of being filed. CANCELLED means that it is not going to be filed.
Allowed values
PENDINGFILEDCANCELLED -
sar_reasonstringThe reason for filing up a SAR for this person or company
-
related_company_idstringUnique identifier of the related company entity (used for business contexts). At least one of related_company_id and related_person_id should be specified.
Example
company-id-12345 -
related_person_idstringUnique identifier of the related person entity (used for retail contexts or when a person is the subject). At least only one of related_person_id and related_company_id should be specified.
Example
person-id-56789
Responses
200 Batch processing result
-
successboolean requiredIndicates if the write operation was successful.
-
write_countinteger requiredThe number of records written to the database.
Format
int32 -
messagestring requiredProvides additional information about the operation result.
-
organization_idstring requiredThe organization ID for which the operation was performed.
Errors
- 400 Invalid customer SAR data in batch
- 401 Unauthorized request
- 404 Customer SAR not found in batch
- 429 Rate limit exceeded
- 500 Server error
- default General error
-
codeinteger requiredFormat
int32 -
messagestring required -
errorslist of objectsDetailed information about errors in specific fields.
-
fieldstring -
messagestring
-